package com.yd.csf.api.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yd.common.result.Result;
import com.yd.csf.feign.request.formulaconfig.ApiFormulaConfigAddRequest;
import com.yd.csf.feign.request.formulaconfig.ApiFormulaConfigEditRequest;
import com.yd.csf.feign.request.formulaconfig.ApiFormulaConfigPageRequest;
import com.yd.csf.feign.response.formulaconfig.ApiFormulaConfigDetailResponse;
import com.yd.csf.feign.response.formulaconfig.ApiFormulaConfigPageResponse;

public interface ApiFormulaConfigService {
    Result<IPage<ApiFormulaConfigPageResponse>> page(ApiFormulaConfigPageRequest request);

    Result<ApiFormulaConfigDetailResponse> detail(String formulaBizId);

    Result add(ApiFormulaConfigAddRequest request);

    Result edit(ApiFormulaConfigEditRequest request);

    Result del(String formulaBizId);
}
